Debian Bug report logs - #686525
/usr/include/unicap/unicap.h: unicap.h uses "private" keyword as variable name

version graph

Package: libunicap2-dev; Maintainer for libunicap2-dev is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for libunicap2-dev is src:unicap.

Reported by: Jorge Muñoz <punkto@gmail.com>

Date: Sun, 2 Sep 2012 18:45:04 UTC

Severity: normal

Tags: patch, upstream

Found in version unicap/0.9.12-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#686525; Package libunicap2-dev. (Sun, 02 Sep 2012 18:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jorge Muñoz <punkto@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 02 Sep 2012 18:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jorge Muñoz <punkto@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/include/unicap/unicap.h: unicap.h uses "private" keyword as variable name
Date: Sat, 01 Sep 2012 16:27:22 +0200
[Message part 1 (text/plain, inline)]
Package: libunicap2-dev
Version: 0.9.12-2
Severity: normal
File: /usr/include/unicap/unicap.h
Tags: upstream patch

As unicap uses "private" as a variable name, it is not possible to
compile this library with c++ code (usefull in OpenFrameworks 0.061,
for example).

Steps to reproduce:

1. Create a test file with
$ cat >> test_unicap.cpp << EOF
#include "unicap.h"
int main(){}
EOF

2. Try to compile it with:
$ g++ `pkg-config --cflags libunicap` -o test_unicap test_unicap.cpp

This will give the following error:

In file included from test_unicap.cpp:1:0:
/usr/include/unicap/unicap.h:218:34: error: expected unqualified-id before ‘private’
/usr/include/unicap/unicap.h:218:33: error: expected ‘;’ at end of member declaration
/usr/include/unicap/unicap.h:218:41: error: expected ‘:’ before ‘;’ token 

This problem is fixed in upstream, but not in this version of unicap.

I have submitted a patch where the name of the variable is changed
in unicap.h as well as in unicap.c

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-3-486
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libunicap2-dev depends on:
ii  libunicap2  0.9.12-2

libunicap2-dev recommends no packages.

libunicap2-dev suggests no packages.

-- no debconf information
[unicap-debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#686525; Package libunicap2-dev. (Sat, 29 Dec 2012 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Fita <adrian.fita@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 29 Dec 2012 21:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 686525@bugs.debian.org (full text, mbox):

From: Adrian Fita <adrian.fita@gmail.com>
To: Debian Bug Tracking System <686525@bugs.debian.org>
Subject: Re: /usr/include/unicap/unicap.h: unicap.h uses "private" keyword as variable name
Date: Sat, 29 Dec 2012 23:48:48 +0200
Package: libunicap2-dev
Version: 0.9.12-2
Followup-For: Bug #686525

Hi. How can I apply the debdiff patch? I'm trying to build a software
which needs libunicap2-dev, but it gets stuck on this bug. So I figure
that I should create a local package on my machine so I can use it until
this bug gets fixed in Debian. But I don't know much about debian
packaging; I tried some instructions that I found with Google, but I
didn't get anywhere; everything is very strange and confusing...

Some pointers would be very appreciated. Thanks.


-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.5-trunk-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libunicap2-dev depends on:
ii  libunicap2  0.9.12-2

libunicap2-dev recommends no packages.

libunicap2-dev suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#686525; Package libunicap2-dev. (Sun, 30 Dec 2012 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 686525@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 30 Dec 2012 00:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 686525@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Adrian Fita <adrian.fita@gmail.com>
Cc: 686525@bugs.debian.org
Subject: Re: Bug#686525: /usr/include/unicap/unicap.h: unicap.h uses "private" keyword as variable name
Date: Sun, 30 Dec 2012 01:31:02 +0100
[Message part 1 (text/plain, inline)]
Quoting Adrian Fita (2012-12-29 22:48:48)
> Hi. How can I apply the debdiff patch? I'm trying to build a software 
> which needs libunicap2-dev, but it gets stuck on this bug. So I figure 
> that I should create a local package on my machine so I can use it 
> until this bug gets fixed in Debian. But I don't know much about 
> debian packaging; I tried some instructions that I found with Google, 
> but I didn't get anywhere; everything is very strange and confusing...
> 
> Some pointers would be very appreciated. Thanks.

My best suggestion is that you ask such question at one of the 
debian-user* mailinglists.


Kind regards,

 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:09:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.